
// Fonction de survol
function rollover(id,src) {	
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}

// changement de fond de l'onglet cliqué
function clic(id,src) {	
	//mise à jour de l'image de l'onglet
	elList = document.getElementsByTagName("DIV");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id=="achat" || elList[i].id=="vente")
		{
			elList[i].style.backgroundImage='url(images/fond1.jpg)';
		}
	}
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}



// Cette fonction charge dans le cache toutes les images passées en paramètre
function preload() {
	var temp=new load("images/fond3.jpg","images/fond1.jpg", "images/fond2.jpg")
}


/**
* Méthode qui affiche les objets que l'on peut acheter
*/
function listingAchat(){
	//affichage des mimichantsr
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("listeObjet").innerHTML = xhr.responseText;
			afficheChocopepites();
		}
	}
	xhr.open("POST","listeAchat",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}


/**
* Méthode qui affiche les objets que l'on peut acheter
*/
function listeAchat(iddiv,src){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des objets à acheter
	listingAchat();
	
	document.getElementById("affChoix").innerHTML = ""; 
}

/**
* Méthode qui affiche les objets que l'on peut vendre
*/
function listingVente(){
	//affichage des mimichantsr
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("listeObjet").innerHTML = xhr.responseText;
			afficheChocopepites();
		}
	}
	xhr.open("POST","listeVente",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}

/**
* Méthode qui affiche les objets que l'on peut vendre
*/
function listeVente(iddiv,src){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
		//affichage des objets à acheter
	listingVente();
	
	document.getElementById("affChoix").innerHTML = ""; 
}

/**
* Méthode qui affiche le nombre de chocopepites
*/
function afficheChocopepites(){
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoco").innerHTML = xhr.responseText; 
		}
	}
	xhr.open("POST","afficheChocopepites.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}

/**
* Méthode qui affiche l'objet sélectionné pour un achat
*/
function selectAchat(id, idtr, nom, prix){
	//mise en valeur de l'objet sélectioné
	elList = document.getElementsByTagName("TR");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id!='')
		{
			elList[i].style.backgroundColor='#ffffff';
		}
		if(elList[i].id==idtr ) elList[i].style.backgroundColor='#BCF59F';
	} 
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
			//document.getElementById("bouton").innerHTML = "<input type='button' value='Acheter'>";  
		}
	}
	xhr.open("POST","selectAchat.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui traite l'achat d'un objet passé en parametre
*/
function traiterAchat(id, nom){
	
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			var rep=xhr.responseText;
			//on rafraichit la liste des objets
		  listingAchat();
			document.getElementById("affChoix").innerHTML = rep;
		}
	}
	xhr.open("POST","traiterAchat.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom);
}

/**
* Méthode qui affiche l'objet sélectionné pour un achat
*/
function selectVente(id, idtr, nom, prix){
	//mise en valeur de l'objet sélectioné
	elList = document.getElementsByTagName("TR");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id!='')
		{
			elList[i].style.backgroundColor='#ffffff';
		}
		if(elList[i].id==idtr ) elList[i].style.backgroundColor='#BCF59F';
	} 
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
			//document.getElementById("bouton").innerHTML = "<input type='button' value='Vendre' >";  
		}
	}
	xhr.open("POST","selectVente.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui traite la vente d'un objet passé en parametre
*/
function traiterVente(id, nom){
	
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			var rep=xhr.responseText;
			//on rafraichit la liste des objets
		  listingVente();
			document.getElementById("affChoix").innerHTML = rep;
		}
	}
	xhr.open("POST","traiterVente.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom);
}

preload()

